> For the complete documentation index, see [llms.txt](https://docs.infoway.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infoway.io/en-docs/rest-api/get-basic-info/get-adjustment-factor.md).

# GET Symbol Adjustment Factors

### Overview

This interface is used to obtain the price adjustment factors for products in different markets.

### Request Frequency

This API shares the same rate limits as other endpoints. The number of allowed requests per second depends on your subscription plan. Please refer to the [**Rate Limit**](/en-docs/getting-started/api-limitation/rest-api-limitation.md) for details.​

### Error Codes

See the [HTTP Error Codes](/en-docs/getting-started/error-codes/rest-api-error-codes.md) section for reference.​

### Endpoint

* Base Path：`/common/basic/symbols/adjustment_factors`
* Full Path：`https://data.infoway.io/common/basic/symbols/adjustment_factors`

### Authentication

| **Header** | **Type** | **Required** | **Description**                                 |
| ---------- | -------- | ------------ | ----------------------------------------------- |
| `apiKey`   | String   | Yes          | Your API Key associated with your current plan. |

### Request Parameters

| **Header** | **Type** | **Required** | **Description**                                            | **Example / Values** |
| ---------- | -------- | ------------ | ---------------------------------------------------------- | -------------------- |
| `symbol`   | String   | Yes          | Comma-separated list of specific symbols to query.         | `000001.SZ`          |
| `market`   | String   | Yes          | Market code. Options include `US`, `HK`, `CN`, `IN`, `JP`. | `US`                 |
| `beginDay` | String   | Yes          | Start date for the query, in `YYYYMMDD` format.            | `20260323`           |
| `endDay`   | String   | Yes          | End date for the query, in `YYYYMMDD` format.              | `20260324`           |

​

### Example Response

```json
{
    "ret": 200,
    "msg": "success",
    "traceId": "a50ecfd7-decf-4c80-8ee0-798ede935794",
    "data": [
        {
            "symbol": "000001.SZ",
            "market": "CN",
            "trade_date": "19910102",
            "forward_factor": 0.6399030867
        },
        {
            "symbol": "000001.SZ",
            "market": "CN",
            "trade_date": "19910103",
            "forward_factor": 0.6399029351
        }
    ]
}
```

| **Header**       | **Type**   | **Required** | **Description**                                                  | **Description** |
| ---------------- | ---------- | ------------ | ---------------------------------------------------------------- | --------------- |
| `symbol`         | String     | Yes          | Comma-separated list of specific symbols to query.               | `000001.SZ`     |
| `market`         | String     | Yes          | Market code. Options include `US`, `HK`, `CN`, `IN`, `JP`, `KS`. | `US`            |
| `trade_date`     | String     | Yes          | Trade date for the query, in `YYYYMMDD` format.                  | `19910103`      |
| `forward_factor` | BigDecimal | Yes          | Forward factor.                                                  | `0.6499029351`  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.infoway.io/en-docs/rest-api/get-basic-info/get-adjustment-factor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
